﻿using System;

public class Circle:IComparable
{
    public double Radius { get; private set; }
    public double Area { get; }

    public Circle(double radius)
    {
        Radius = radius;
        Area = radius * radius * Math.PI;
	}

    public int CompareTo(object obj)
    {
        Circle c = (Circle)obj;
        if (this.Radius < c.Radius)
            return -1;
        else if (this.Radius > c.Radius)
            return 1;
        else
            return 0;
    }
}
